Bug 182743 - Review Request: nessus-libraries
Review Request: nessus-libraries
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 182744 182941
  Show dependency treegraph
 
Reported: 2006-02-24 08:49 EST by Andreas Bierfert
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-14 04:06:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
spec diff to enable libpcap and make buildroot consistent (1.60 KB, patch)
2006-03-04 12:51 EST, John Mahowald
no flags Details | Diff

  None (edit)
Description Andreas Bierfert 2006-02-24 08:49:41 EST
Spec Name or Url: http://fedora.lowlatency.de/review/nessus-libraries.spec
SRPM Name or Url: http://fedora.lowlatency.de/review/nessus-libraries-2.2.6-1.src.rpm
Description: Support libraries for nessus
Comment 1 Dawid Gajownik 2006-02-24 09:57:00 EST
I've been playing with nessus some time ago. You may want to take a look at my
patches and spec files → http://fedora.pl/~gajownik/nessus/ 

IIRC nessus-plugins was not finished -- after one week of patching I was fed up ;-)
https://www.redhat.com/archives/fedora-extras-list/2005-July/msg00380.html
Comment 2 Andreas Bierfert 2006-02-24 10:47:14 EST
Thanks for posting... I will take a look and see what I can use/integrate if you
don't mind :)
Comment 3 Dawid Gajownik 2006-02-24 11:06:20 EST
(In reply to comment #2)
> I will take a look and see what I can use/integrate if you don't mind :)

Shure. That's the reason why I gave you link to these patches :)
Comment 4 Andreas Bierfert 2006-02-24 11:22:31 EST
Ok here are the first tuneups :) Thanks again =)

http://fedora.lowlatency.de/review/nessus-libraries.spec
http://fedora.lowlatency.de/review/nessus-libraries-2.2.6-2.src.rpm
Comment 5 John Mahowald 2006-03-04 12:48:15 EST
Why disable libpcap? It's already a BuildRequirement even.

And $RPM_BUILD_ROOT not consistent.

Otherwise looks good.
Comment 6 John Mahowald 2006-03-04 12:51:21 EST
Created attachment 125645 [details]
spec diff to enable libpcap and make buildroot consistent
Comment 7 Dawid Gajownik 2006-03-04 13:21:26 EST
(In reply to comment #5)
> Why disable libpcap?

./configure --help

[snip]

  --enable-nessuspcap     use the libpcap that comes with this package

Well, `--disable-nessuspcap' forces nessus-libraries to use system libpcap,
which is a Good Thing™ ;-)
Comment 8 Andreas Bierfert 2006-03-07 04:18:24 EST
Will fix the buildroot stuff. As for the libpcap Dawid is right. I'd rather use
the system one.

Any other comments?
Comment 9 John Mahowald 2006-03-13 20:32:02 EST
Oh, I assumed the opposite for --disble-nessuspcap

Nope.

Good:

- rpmlint checks return:
* no-version-in-last-changelog, ignoring, long lines

- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file
- devel package ok
- no .la files
- post/postun ldconfig ok
- devel requires base package n-v-r 

APPROVED.
Comment 10 Andreas Bierfert 2006-03-14 04:06:33 EST
Imported and pushed. 

Thanks for the review.

Note You need to log in before you can comment on or make changes to this bug.